public final class CustomAPIQueryAuth extends GeneratedMessage implements CustomAPIQueryAuthOrBuilderCustomAPIQueryAuth lists URL Query parameters for custom API auth.
Protobuf type google.cloud.chronicle.v1.CustomAPIQueryAuth
Inheritance
Object > AbstractMessageLite<MessageType,BuilderType> > AbstractMessage > GeneratedMessage > CustomAPIQueryAuthImplements
CustomAPIQueryAuthOrBuilderStatic Fields
QUERY_KEY_VALUES_FIELD_NUMBER
public static final int QUERY_KEY_VALUES_FIELD_NUMBER| Field Value | |
|---|---|
| Type | Description |
int |
|
Static Methods
getDefaultInstance()
public static CustomAPIQueryAuth getDefaultInstance()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
newBuilder()
public static CustomAPIQueryAuth.Builder newBuilder()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
newBuilder(CustomAPIQueryAuth prototype)
public static CustomAPIQueryAuth.Builder newBuilder(CustomAPIQueryAuth prototype)| Parameter | |
|---|---|
| Name | Description |
prototype |
CustomAPIQueryAuth |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
parseDelimitedFrom(InputStream input)
public static CustomAPIQueryAuth parseDelimitedFrom(InputStream input)| Parameter | |
|---|---|
| Name | Description |
input |
InputStream |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
InputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseFrom(byte[] data)
public static CustomAPIQueryAuth parseFrom(byte[] data)| Parameter | |
|---|---|
| Name | Description |
data |
byte[] |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
data |
byte[] |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parseFrom(ByteString data)
public static CustomAPIQueryAuth parseFrom(ByteString data)| Parameter | |
|---|---|
| Name | Description |
data |
ByteString |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
data |
ByteString |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parseFrom(CodedInputStream input)
public static CustomAPIQueryAuth parseFrom(CodedInputStream input)| Parameter | |
|---|---|
| Name | Description |
input |
CodedInputStream |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseFrom(InputStream input)
public static CustomAPIQueryAuth parseFrom(InputStream input)| Parameter | |
|---|---|
| Name | Description |
input |
InputStream |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
InputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
parseFrom(ByteBuffer data)
public static CustomAPIQueryAuth parseFrom(ByteBuffer data)| Parameter | |
|---|---|
| Name | Description |
data |
ByteBuffer |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static CustomAPIQueryAuth parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
data |
ByteBuffer |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
| Exceptions | |
|---|---|
| Type | Description |
InvalidProtocolBufferException |
|
parser()
public static Parser<CustomAPIQueryAuth> parser()| Returns | |
|---|---|
| Type | Description |
Parser<CustomAPIQueryAuth> |
|
Methods
equals(Object obj)
public boolean equals(Object obj)| Parameter | |
|---|---|
| Name | Description |
obj |
Object |
| Returns | |
|---|---|
| Type | Description |
boolean |
|
getDefaultInstanceForType()
public CustomAPIQueryAuth getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth |
|
getParserForType()
public Parser<CustomAPIQueryAuth> getParserForType()| Returns | |
|---|---|
| Type | Description |
Parser<CustomAPIQueryAuth> |
|
getQueryKeyValues(int index)
public CustomAPIQueryKeyValue getQueryKeyValues(int index)Optional. Add URL Query parameter key-value pairs.
repeated .google.cloud.chronicle.v1.CustomAPIQueryKeyValue query_key_values = 1 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue |
|
getQueryKeyValuesCount()
public int getQueryKeyValuesCount()Optional. Add URL Query parameter key-value pairs.
repeated .google.cloud.chronicle.v1.CustomAPIQueryKeyValue query_key_values = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getQueryKeyValuesList()
public List<CustomAPIQueryKeyValue> getQueryKeyValuesList()Optional. Add URL Query parameter key-value pairs.
repeated .google.cloud.chronicle.v1.CustomAPIQueryKeyValue query_key_values = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<CustomAPIQueryKeyValue> |
|
getQueryKeyValuesOrBuilder(int index)
public CustomAPIQueryKeyValueOrBuilder getQueryKeyValuesOrBuilder(int index)Optional. Add URL Query parameter key-value pairs.
repeated .google.cloud.chronicle.v1.CustomAPIQueryKeyValue query_key_values = 1 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValueOrBuilder |
|
getQueryKeyValuesOrBuilderList()
public List<? extends CustomAPIQueryKeyValueOrBuilder> getQueryKeyValuesOrBuilderList()Optional. Add URL Query parameter key-value pairs.
repeated .google.cloud.chronicle.v1.CustomAPIQueryKeyValue query_key_values = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.chronicle.v1.CustomAPIQueryKeyValueOrBuilder> |
|
getSerializedSize()
public int getSerializedSize()| Returns | |
|---|---|
| Type | Description |
int |
|
hashCode()
public int hashCode()| Returns | |
|---|---|
| Type | Description |
int |
|
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
newBuilderForType()
public CustomAPIQueryAuth.Builder newBuilderForType()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
newBuilderForType(AbstractMessage.BuilderParent parent)
protected CustomAPIQueryAuth.Builder newBuilderForType(AbstractMessage.BuilderParent parent)| Parameter | |
|---|---|
| Name | Description |
parent |
BuilderParent |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
toBuilder()
public CustomAPIQueryAuth.Builder toBuilder()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryAuth.Builder |
|
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)| Parameter | |
|---|---|
| Name | Description |
output |
CodedOutputStream |
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|